/*
 * Media Player for use on desktop browsers. Uses the MediaElement
 * API.
 *
 */
 
function init_media(){
    $("document").ready(function() {
        //the html5 code for the audio/video tags
        var media_html = "";
        
        var coursePath = DUDAL_PAGE_INFO.coursePath;
        
        //html code for audio or video player
        if(DUDAL_PAGE_INFO.view === "mobile" || DUDAL_PAGE_INFO.audioOnly === "true"){
            media_html = '<audio id="a1" controls="controls" width="100%" preload="auto">'+
                        '<source src = "'+coursePath+"/audio.mp3"+'"'+' type="audio/mp3"></source>'+
                        '<source src = "'+coursePath+"/audio.ogg"+'"'+' type="audio/ogg"></source>'+
                    '</audio>';
        }else{
            media_html = '<video id="v1" controls="controls" width="100%" preload="auto">'+
                        '<source src = "'+coursePath+"/video.mp4"+'"'+' type="video/mp4"></source>'+
                        '<source src = "'+coursePath+"/video.ogg"+'"'+' type="video/ogg"></source>'+
                    '</video>';
        }
        $("#media_container").html(media_html); 
    
        // set mediaElement options
        $('audio, video').mediaelementplayer({
            
            videoWidth: '100%',
            videoHeight: '100%',
            audioWidth: '100%',
            features: ['playpause','current','progress','duration','fullscreen'],
            
            success: function (mediaElement, domObject) {
                
                // add event listener for timeupdate
                mediaElement.addEventListener('timeupdate', function(e) {
                        DUDAL_DATA.timeUpdate(mediaElement.currentTime, mediaElement.duration);
                }, false);
                
                
                //set the table position correctly once the video is loaded and we know it's size
                mediaElement.addEventListener('loadeddata', function(e) {
                        if(DUDAL_PAGE_INFO.view != "mobile"){
                            setTimeout(
                                function(){
                                    var media_height = parseInt($("#media").css("height"),10);
                                    $("#table_container").css("top", (media_height+20));
                                },
                                200);
                        }
                }, false);
            },
            
            error: function(){
                alert("Le fichier media n'a pas pu être chargé");
            }
        });        
    }); 
}   
